Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class PropertyManager

    java.lang.Object
      org.flexdock.docking.props.PropertyManager

    public class PropertyManager

extends Object

Author:
  Christopher Butler

Field Summary
`static String` | `DOCKABLE_PROPERTIES_KEY`
`static String` | `DOCKINGPORT_PROPERTIES_KEY`

Constructor Summary
`PropertyManager()`

Method Summary
`static Object` | `getClientProperty(Dockable dockable, Object key)`
`static DockablePropertySet` | `getDockablePropertySet(Dockable dockable)`
`static DockablePropertySet` | `getDockableRoot()`
`static DockingPortPropertySet` | `getDockingPortPropertySet(DockingPort port)`
`static DockingPortPropertySet` | `getDockingPortRoot()`
`static Object` | `getProperty(Object key, ScopedMap map)`
`static void` | `putClientProperty(Dockable dockable, Object key, Object value)`
`static void` | `removePropertySet(Dockable dockable)`
`static void` | `setDockablePropertyType(Class dockable, Class propType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCKABLE_PROPERTIES_KEY

    public static final String DOCKABLE_PROPERTIES_KEY

### DOCKINGPORT_PROPERTIES_KEY

    public static final String DOCKINGPORT_PROPERTIES_KEY

Constructor Detail

### PropertyManager

    public PropertyManager()

Method Detail

### getDockingPortRoot

    public static DockingPortPropertySet getDockingPortRoot()

### getDockableRoot

    public static DockablePropertySet getDockableRoot()

### setDockablePropertyType

    public static void setDockablePropertyType(Class dockable,
                                               Class propType)

### getDockablePropertySet

    public static DockablePropertySet getDockablePropertySet(Dockable dockable)

### removePropertySet

    public static void removePropertySet(Dockable dockable)

### getDockingPortPropertySet

    public static DockingPortPropertySet getDockingPortPropertySet(DockingPort port)

### getProperty

    public static Object getProperty(Object key,
                                     ScopedMap map)

### getClientProperty

    public static Object getClientProperty(Dockable dockable,
                                           Object key)

### putClientProperty

    public static void putClientProperty(Dockable dockable,
                                         Object key,
                                         Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD